o2cluster(8)

NAME
o2cluster - Change cluster stack stamped on an OCFS2 file system.

SYNOPSIS
o2cluster [-o|--show-ondisk] [-r|--show-running] [-u|--update[=<clusterstack>]] [-hvVyn] [device]

DESCRIPTION

o2cluster is used to change the cluster stack stamped on an OCFS2 file system. It also used to list the active cluster stack and the one stamped on-disk. This utility does not expect the cluster to be online. It only updates the file system if it is reasonably assured that it is not in-use on any other node. Clean journals implies the file system is not in-use. This utility aborts if it detects even one dirty journal. Before using this utility, the user should use other means to ensure that the volume is not in-use, and more importantly, not about to be put in-use. While clean journals implies the file system is not in-use, there is a tiny window after the check and before the update during which another node could mount the file system using the older cluster stack. If a dirty journal is detected, it implies one of two scenarios. Either the file system is mounted on another node, or, the last node to have it mounted, crashed. There is no way, short of joining the cluster, that the utility can use to differentiate between the two. Considering this utility is targeted to be used in scenarios when the user is looking to change the on-disk cluster stack, it becomes a chicken-and-egg problem. If one were to run into this scenario, the user should manually re-confirm that the file system is not in-use on another node and then run fsck.ocfs2(8). It will update the on-disk cluster stack to the active cluster stack, and, do a complete file system check.

SPECIFYING CLUSTER STACK

The cluster stack can be specified in one of two forms. The first as default, denoting the original classic o2cb cluster stack with local heartbeat. The second as a triplet with the stack name, the cluster name and the cluster flags separated by commas. Like o2cb,mycluster,global. The valid stack names are o2cb, pcmk, and cman. The cluster name can be up to 16 characters. The o2cb stack further restricts the names to contain only alphanumeric characters. The valid flags for the o2cb stack are local and global, denoting the two heartbeat modes. The only valid flag for the other stacks is none.

OPTIONS

-o|--show-ondisk
    Shows the cluster stack stamped on-disk.

-r|--show-running
    Shows the active cluster stack.

-u|--update[=<clusterstack>]
    Updates the on-disk cluster stack with the one provided. If no cluster stack is provided, the utility detects the active cluster stack and stamps it on-disk.

-v, --verbose
    Verbose mode.

-V, --version
    Show version and exit.

-y, --yes
    Always answer Yes in interactive command line.

-n, --no
    Always answer No in interactive command line.

EXAMPLES
# o2cluster -r
o2cb,myactivecluster,global
# o2cluster -o /dev/sda1
o2cb,mycluster,global
# o2cluster --update=o2cb,yourcluster,global /dev/sdb1
Changing the clusterstack from o2cb,mycluster,global to o2cb,yourcluster,global. Continue? y
Updated successfully.

SEE ALSO
debugfs.ocfs2(8) fsck.ocfs2(8) fsck.ocfs2.checks(8) mkfs.ocfs2(8) mount.ocfs2(8) mounted.ocfs2(8) o2image(8) o2info(1) tunefs.ocfs2(8)

AUTHORS
Oracle Corporation

COPYRIGHT
Copyright © 2011, 2012 Oracle. All rights reserved.